BEGIN 9xEva

///////////Hammer

IF~PartyHasItem("ISHHAM") Global("ISHEvaHam","GLOBAL",0)~ THEN BEGIN EVAHAM000
SAY @0
IF~~THEN DO ~SetGlobal("ISHEvaHam","GLOBAL",1)~ EXIT
END

///////////FEMALE

IF~NumTimesTalkedTo(0) Gender(LastTalkedToBy(),FEMALE) !Global("ISHxEvaWC","GLOBAL",3)~THEN BEGIN EVA000
SAY @1
IF~~THEN REPLY @2 GOTO EVA001
IF~~THEN REPLY @3 GOTO EVA002
IF~GlobalGT("ISHxWCAxe","GLOBAL",1) Global("ISHxEvaWC","GLOBAL",0)~THEN REPLY @4 DO ~SetGlobal("ISHxEvaWC","GLOBAL",1)~ GOTO EVA003
IF~~THEN REPLY @5 GOTO EVA004
END

IF~NumTimesTalkedToGT(0) Gender(LastTalkedToby(),FEMALE) !Global("ISHxEvaWC","GLOBAL",3)~THEN BEGIN EVA010
SAY @6
IF~~THEN REPLY @7 GOTO EVA001
IF~~THEN REPLY @8 GOTO EVA002
IF~GlobalGT("ISHxWCAxe","GLOBAL",1) Global("ISHxEvaWC","GLOBAL",0)~THEN REPLY @4 DO ~SetGlobal("ISHxEvaWC","GLOBAL",1)~ GOTO EVA003
IF~Global("ISHxEvaWC","GLOBAL",1)~THEN REPLY @9 DO ~SetGlobal("ISHxEvaWC","GLOBAL",2)~ GOTO EVALIE1
IF~~THEN REPLY @10 GOTO EVA004
END

IF~~THEN BEGIN EVA001
SAY @11
IF~~THEN REPLY @12 GOTO EVA002
IF~GlobalGT("ISHxWCAxe","GLOBAL",1)~THEN REPLY @4 DO ~SetGlobal("ISHxEvaWC","GLOBAL",1)~ GOTO EVA003
IF~~THEN REPLY @13 GOTO EVA004
IF~~THEN REPLY @14 GOTO EVA006
END

IF~~THEN BEGIN EVA002
SAY @15 
IF~~THEN DO ~StartStore("ISHEVA",LastTalkedToBy())~ EXIT
END

IF~~THEN BEGIN EVA003
SAY @16
=
@17
IF~~THEN REPLY @18 GOTO EVA005
IF~~THEN REPLY @19 GOTO EVA002
IF~~THEN REPLY @20 GOTO EVA004
END

IF~~THEN BEGIN EVA005
SAY @21
IF~~THEN EXIT
END

IF~~THEN BEGIN EVA004
SAY @22
IF~~THEN EXIT
END

IF~~THEN BEGIN EVA006
SAY @23
IF~~THEN REPLY @24 GOTO EVA007 
IF~~THEN REPLY @25 GOTO EVA008
IF~~THEN REPLY @26 GOTO EVA002
IF~~THEN REPLY @27 GOTO EVA004
END

IF~~THEN BEGIN EVA007
SAY @28
IF~~THEN GOTO EVA009
END

IF~~THEN BEGIN EVA008
SAY @29
IF~~THEN GOTO EVA009
END

IF~~THEN BEGIN EVA009
SAY @30
IF~~THEN REPLY @31 GOTO EVA002
IF~~THEN REPLY @32 GOTO EVA004
END

//////////////MALE

IF~NumTimesTalkedTo(0) Gender(LastTalkedToBy(),MALE) !Global("ISHxEvaWC","GLOBAL",3)~THEN BEGIN EVAM000
SAY @33
IF~~THEN REPLY @34 GOTO EVAM001
IF~~THEN REPLY @35 GOTO EVAM002
IF~GlobalGT("ISHxWCAxe","GLOBAL",1) Global("ISHxEvaWC","GLOBAL",0)~THEN REPLY @36 DO ~SetGlobal("ISHxEvaWC","GLOBAL",1)~ GOTO EVAM003
IF~~THEN REPLY @37 GOTO EVAM004
END

IF~NumTimesTalkedToGT(0) Gender(LastTalkedToby(),MALE) !Global("ISHxEvaWC","GLOBAL",3)~THEN BEGIN EVAM000
SAY @38
IF~~THEN REPLY @39 GOTO EVAM001
IF~~THEN REPLY @40 GOTO EVAM002
IF~GlobalGT("ISHxWCAxe","GLOBAL",1) Global("ISHxEvaWC","GLOBAL",0)~THEN REPLY @36 DO ~SetGlobal("ISHxEvaWC","GLOBAL",1)~ GOTO EVAM003
IF~Global("ISHxEvaWC","GLOBAL",1)~THEN REPLY @9 DO ~SetGlobal("ISHxEvaWC","GLOBAL",2)~ GOTO EVALIE1
IF~~THEN REPLY @37 GOTO EVAM004
END

IF~~THEN BEGIN EVAM001
SAY @41
IF~~THEN REPLY @42 GOTO EVAM002
IF~GlobalGT("ISHxWCAxe","GLOBAL",1) Global("ISHxEvaWC","GLOBAL",0)~THEN REPLY @43 DO ~SetGlobal("ISHxEvaWC","GLOBAL",1)~ GOTO EVAM003
IF~~THEN REPLY @44 GOTO EVAM004
END

IF~~THEN BEGIN EVAM002
SAY @45
IF~~THEN DO ~StartStore("ISHEVA",LastTalkedToBy())~ EXIT
END

IF~~THEN BEGIN EVAM003
SAY @46
=
@47
IF~~THEN REPLY @48 GOTO EVAM005
IF~~THEN REPLY @49 GOTO EVAM002
IF~~THEN REPLY @20 GOTO EVAM004
END

IF~~THEN BEGIN EVAM005
SAY @50
IF~~THEN EXIT
END

IF~~THEN BEGIN EVAM004
SAY @51
IF~~THEN EXIT
END

//////LIE

IF~Global("ISHxEvaWC","GLOBAL",3)~THEN BEGIN EVALIE
SAY @52
IF~~THEN DO ~SetGlobal("ISHxEvaWC","GLOBAL",4)~ EXIT
END

IF~~THEN BEGIN EVALIE1
SAY @53
IF~~THEN DO ~EscapeArea()~ EXIT
END

